Subject: Re: [MMUSIC] RTSP: Connectionless vs. connection-based

From: [email-masked]
Date: Mon, 17 Jun 2002 14:55:57 +0200

ping tells you if the machine is up but it does not check if the server is launched/ready

Philippe Gentric
Software Architect
Philips MP4Net
[email-masked]
http://www.mpeg-4.philips.com

                      Magnus Westerlund                                                                                                        
                      <[email-masked]             To:  Philippe Gentric/MP4-SUR/CE/PHILIPS@EMEA1                                      
                      ricsson.se>                          cc:  "[email-masked]" <[email-masked]>                                            
                                                           Subject:   Re: [MMUSIC] RTSP: Connectionless vs. connection-based                   
                      17/06/2002 09:11                                                                                                         
                                                           Classification:                                                                     

Hi Philippe,

Of course the GET_PARAMETER is one possibility which should be on the
list. But I do believe it will be on the same level of recommendation as
OPTIONS. The disadvantage with GET_PARAMETER is that it is not in the
minimal implementation set. GET_PARAMETER also has a semantic
implication of  fetching values of parameters. Of course without body it
does not result in that serious amount of work for the server. Still it
can carry headers that will result in message expansion. Therefore I
recommend the usage of PING.

On advantage of GET_PARAMETER is the possibility to create a parameter
that contains the time since last timer update. In that way the client
can check to see that RTCP works as intended with keeping the session alive.

Regards

Magnus

[email-masked] wrote:

>R2326 says:
>
>*******************
>
>10.8 GET_PARAMETER
>
>   The GET_PARAMETER request retrieves the value of a parameter of a
>   presentation or stream specified in the URI. The content of the reply
>   and response is left to the implementation. GET_PARAMETER with no
>   entity body may be used to test client or server liveness ("ping").
>
>*******************
>
>I would put more emphase on this mechanism
>as a systematic way to check for time out/connextion liveness..
>
>typically I would mandate that neither server nor client SHOULD
>drop a connection (based on a time out) unless they have first tried
>a GET_PARAMETER to check the other side status.
>
>
>regards,
>
>
>Philippe Gentric
>Software Architect
>Philips MP4Net
>[email-masked]
>http://www.mpeg-4.philips.com
>

--

Magnus Westerlund

Multimedia Technologies, Ericsson Research ERA/TVA/A
----------------------------------------------------------------------
Ericsson Radio Systems AB  | Phone +46 8 4048287
Torshamsgatan 23           | Fax   +46 8 7575550
S-164 80 Stockholm, Sweden | mailto: [email-masked]

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic